commit b3ee8a47fa8052e0c507d97e38d2177f5a378770
parent c8b3dd35d010ddabef73989fb881a3597ba9ae93
Author: Christophe Coustet <christophe.coustet@meso-star.com>
Date: Thu, 30 Jul 2026 17:01:48 +0200
Add an Installation page to solstice
Diffstat:
4 files changed, 84 insertions(+), 0 deletions(-)
diff --git a/solstice/.gitignore b/solstice/.gitignore
@@ -7,3 +7,4 @@ solstice-anim-release-notes.md
solstice-pp-release-notes.md
solstice-release-notes.md
solstice-solver-release-notes.md
+solstice-install.md
diff --git a/solstice/index.tsv b/solstice/index.tsv
@@ -1,4 +1,5 @@
Overview solstice.html
+Installation solstice-install.html
Manual pages solstice-docs.html
Release notes release-notes.html
Additional resources solstice-resources.html
diff --git a/solstice/solstice-install.md.in b/solstice/solstice-install.md.in
@@ -0,0 +1,60 @@
+# Compile from source
+
+The installation of Solstice consists of compiling the solver, the
+anim library, and the command line tools directly on the target machine.
+A simple way is to rely on
+[star-build](https://www.meso-star.com/git/star-build/),
+which automates the build and installation of `solstice`, its
+dependencies, and a few post-processing tools from source code.
+
+## Compatibility
+
+Solstice can be built on any POSIX system, starting with Linux.
+
+For Windows users, there is no longer a Windows prebuilt version of Solstice.
+Also, native Windows build is no longer possible out of the box, nor supported.
+However, Solstice runs perfectly on the Windows Subsystem for Linux. Ask your
+favourite search engine for details on the topic.
+
+## Prerequisites
+
+To build `solstice` with `star-build`, first make sure your system has
+the following prerequisites:
+
+- POSIX shell
+- POSIX make
+- curl
+- git
+- mandoc
+- pkg-config
+- sha512sum
+- GNU Compiler Collection in version 8.3 or higher
+
+## Build
+
+Assuming that the aforementioned prerequisites are available, the
+build procedure is summed up to:
+
+ git clone git://git.meso-star.com/star-build.git
+ cd star-build
+ make \
+ PREFIX=/path/to/solstice/ \
+ BUILD=src/rad-apps/solstice_@SOLSTICE_VERSION@.sh
+
+With `PREFIX` defining the path where Solstice will be installed
+and `BUILD` defining the installation script to be run.
+
+## Run
+
+Source the installed `profile` file in the current
+shell to register `solstice` against it.
+You can then run `solstice` and consult its manual pages:
+
+ . /path/to/solstice/etc/profile
+ solstice -h
+ man solstice
+
+Refer to the [Solstice: Absolute Beginner's Guide](solstice-resources.html) to
+quickly run a solar plant simulation through the `solstice` CLI; this archive
+provides input data and scripts and is a good starting point to begin with the
+Solstice framework.
diff --git a/solstice/solstice-install.sh b/solstice/solstice-install.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright (C) 2017-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "./config.sh.in"
+
+set -e
+
+sed -e "s/@SOLSTICE_VERSION@/${solstice_version}/g" solstice-install.md.in